{% extends 'forum/base.html' %}

{% block titulo %}Lista dos Temas Cadastrados{% endblock %}

{% block principal %}
    <hr/>
    <form method="post" action="{% url 'forum:busca' %}">
        {% csrf_token %}
        Pesquise por
        <input type="radio" name="busca" value="tema" checked/> título dos temas ou
        <input type="radio" name="busca" value="pergunta"/> texto das perguntas:<br/>
        <input type="text" name="termo"/>
        <input type="submit" value="Pesquisar"/>
    </form>
    <hr/>
    {% if temas %}
        <ul>
        {% for tema in temas %}
            <li>Tema {{ forloop.counter }}: <a href="{% url 'forum:tema' tema.id %}">
                {{ tema.titulo }}</a><br/>
                <b><u>Descrição</u></b>: {{ tema.descricao }}<br/>
                <b><u>Autor</u></b>: {{ tema.usuario.apelido }}
                ({{ tema.usuario.user.username }}) <br/>
                {% if tema.usuario.user == user %}
                    <b><u>Operações</u></b>: (tema criado por você)
                    <a href="{% url 'forum:altera_tema' tema.id %}">alterar tema</a> |
                    <a href="{% url 'forum:remove_tema' tema.id %}">remover tema</a>
                {% endif %}
            </li><br/>
        {% endfor %}
        </ul>
    {% elif busca %}
        <h3>Nenhum tema segundo o critério especificado!</h3>
    {% else %}
        <h3>Nenhum tema cadastrado até o momento!</h3>
    {% endif %}
    {% if busca %}
        <u>Filtro</u>: {{ filtro }} (<a href="{% url 'forum:index' %}">remover</a>)
    {% endif %}
{% endblock %}